'use strict';

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _yeomanGenerator = require('yeoman-generator');

var _yeomanGenerator2 = _interopRequireDefault(_yeomanGenerator);

module.exports = _yeomanGenerator2['default'].Base.extend({

  app: function app() {
    this.fs.copy(this.templatePath('src/index.js'), this.destinationPath('src/index.js'));
    this.fs.copy(this.templatePath('src/test-app.jsx'), this.destinationPath('src/test-app.jsx'));
  },

  gulp: function gulp() {
    this.fs.copy(this.templatePath('Gulpfile.js'), this.destinationPath('Gulpfile.js'));
    this.fs.copy(this.templatePath('.eslintrc'), this.destinationPath('.eslintrc'));
  },

  readme: function readme() {
    this.fs.copy(this.templatePath('README.md'), this.destinationPath('README.md'));
  },

  packages: function packages() {

    this.fs.copy(this.templatePath('package.json'), this.destinationPath('package.json'));

    this.npmInstall(['babel-eslint', 'gulp', 'gulp-eslint', 'gulp-babel', 'gulp-watch'], {
      saveDev: true
    });

    this.npmInstall(['react'], {
      save: true
    });
  }

});